// 定义内容
export default {
    common: {
        create: 'Create',
        edit: 'Edit',
        delete: 'Delete',
        detail: 'Details',
        add: 'Add',
        save: 'Save',
        remove: 'Remove',
        confirm: 'Confirm',
        cancel: 'Cancel',
        submit: 'Submit',
        operation: 'Operations',
        name: 'Name',
        code: 'Code',
        remark: 'Remark',
        status: 'Status',
        username: 'Username',
        role: 'Role',
        msg: 'Message',
        type: 'Type',
        time: 'Time',
        account: 'Account',
        password: 'Password',
        createTime: 'Create Time',
        creator: 'Creator',
        updateTime: 'Update Time',
        modifier: 'Modifier',
        keyword: 'Keyword',
        path: 'Path',
        tag: 'Tag',
        more: 'More',
        enable: 'Enable',
        disable: 'Disable',
        hint: 'Hint',
        yes: 'Yes',
        no: 'No',
        refresh: 'Refresh',
        basic: 'Basic',
        other: 'Other',
        reset: 'Reset',
        success: 'Success',
        fail: 'Fail',
        previousStep: 'Previous Step',
        nextStep: 'Next Step',
        copy: 'Copy',
        search: 'Search',
        pleaseInput: 'Please enter {label}',
        pleaseSelect: 'Please select {label}',
        formValidationError: 'Please check the form',
        createTitle: 'Create {name}',
        editTitle: 'Edit {name}',
        detailTitle: '{name} Details',
        deleteConfirm: 'Sure to delete?',
        deleteConfirm2: 'This operation will delete [{name}]. Do you want to continue?',
        saveSuccess: 'save successfully',
        deleteSuccess: 'delete successfully',
        operateSuccess: 'operate successfully',
        fieldNotEmpty: '{field} cannot be empty',
    },
    layout: {
        user: {
            title0: 'Component size',
            langSwitch: 'Language switching',
            menuSearch: 'Menu search',
            layoutConf: 'Layout configuration',
            news: 'news',
            fullScreenOn: 'Full screen on',
            fullScreenOff: 'Full screen off',
            dropdownLarge: 'large',
            dropdownDefault: 'default',
            dropdownSmall: 'small',
            index: 'Home Page',
            personalCenter: 'Personal Center',
            logout: 'Log out',
            dropdown6: 'Code warehouse',
            searchPlaceholder: 'Menu search',
            newTitle: 'Notice',
            newBtn: 'All read',
            newGo: 'Go to the notification center',
            newDesc: 'No notice',
            logOutTitle: 'Tips',
            logOutMessage: 'This operation will log out. Do you want to continue?',
            logOutExit: 'Exiting',
            logoutSuccess: 'Safe exit successful!',
        },
        tagsView: {
            refresh: 'Refresh',
            close: 'Close',
            closeOther: 'Close Other',
            closeAll: 'Close All',
            fullscreen: 'Fullscreen',
            closeFullscreen: 'Close Fullscreen',
        },
        notFound: {
            title: 'Wrong address input, please re-enter the address~',
            msg: 'You can check the web address first, and then re-enter or give us feedback.',
            backHomepage: 'Back to home page',
        },
        noAccess: {
            title: 'You are not authorized to operate~',
            loginAgain: 'Login again',
        },
        config: {
            configTitle: 'Layout configuration',
            terminalTheme: 'Terminal Themes',
            theme: 'Theme',
            custom: 'Custom',
            fontColor: 'Font Color',
            backgroundColor: 'Background Color',
            cursorColor: 'Cursor Color',
            fontSize: 'Font Size',
            fontWeight: 'Font Weight',
            editorSetting: 'Editor Settings',
            globalSetting: 'Global Settings',
            pagesize: 'Page Size',
            globalTheme: 'Global Themes',
            twoTopTitle: 'top bar set up',

            menuSetting: 'Menu set up',
            menuBar: 'Menu background',
            menuBarFontColor: 'Menu default font color',
            menuBarActiveColor: 'Menu Highlight Color',
            isMenuBarColorGradual: 'Menu gradient',

            twoColumnsTitle: 'Columns set up',
            twoTopBar: 'Top bar background',
            twoTopBarColor: 'Top bar default font color',
            twoIsTopBarColorGradual: 'Top bar gradient',

            twoColumnsMenuBar: 'Column menu background',
            twoColumnsMenuBarColor: 'Default font color bar menu',
            twoIsColumnsMenuBarColorGradual: 'Column gradient',
            twoIsColumnsMenuHoverPreload: 'Column Menu Hover Preload',

            interfaceSetting: 'Interface settings',
            isCollapse: 'Menu horizontal collapse',
            isUniqueOpened: 'Menu accordion',
            isFixedHeader: 'Fixed header',
            isClassicSplitMenu: 'Classic layout split menu',
            isLockScreen: 'Open the lock screen',
            lockScreenTime: 'screen locking(s/s)',
            interfaceDisplay: 'Interface display',
            isShowLogo: 'Sidebar logo',
            isBreadcrumb: 'Open breadcrumb',
            isBreadcrumbIcon: 'Open breadcrumb icon',
            isTagsview: 'Open tagsview',
            isTagsviewIcon: 'Open tagsview Icon',
            isCacheTagsView: 'Enable tagsview cache',
            isSortableTagsView: 'Enable tagsview drag',
            isShareTagsView: 'Enable tagsview sharing',
            isFooter: 'Open footer',
            isGrayscale: 'Grey model',
            isInvert: 'Color weak mode',
            isDark: 'Dark Mode',
            isWartermark: 'Turn on watermark',
            wartermarkText: 'Watermark copy',
            otherSetting: 'Other settings',
            tagsStyle: 'Tagsview style',
            animation: 'Page animation',
            columnsAsideStyle: 'Column style',
            columnsAsideLayout: 'Column layout',
            layoutSwitch: 'Layout switch',
            defaults: 'One',
            classic: 'Two',
            transverse: 'Three',
            columns: 'Four',
        },
    },
    staticRoutes: {
        signIn: 'signIn',
        notFound: 'notFound',
        noPower: 'noPower',
    },
    upgrade: {
        title: 'New version',
        msg: 'The new version is available, please update it now! Dont worry, the update is fast!',
        desc: 'Prompt: Update will restore the default configuration',
        btnOne: 'Cruel refusal',
        btnTwo: 'Update now',
        btnTwoLoading: 'Updating',
    },
    menu: {
        index: 'Home Page',
        personalCenter: 'Personal Center',

        tag: 'Tag',
        tagTree: 'Tag Tree',
        tagSave: 'Save Tag',
        tagDelete: 'Delete Tag',
        authorization: 'Authorization',
        authorizationBase: 'Base Permission',
        authorizationSave: 'Save Authorization',
        authorizationDelete: 'Delete Authorization',
        team: 'Team',
        teamSave: 'Save Team',
        teamDelete: 'Delete Team',
        teamMemberAdd: 'Add Member',
        teamMemberDelete: 'Delete Member',
        teamTagSave: 'Save Team Tag',

        machine: 'Machine',
        machineOp: 'Machine Operation',
        machineOpBase: 'Base Permission',
        machineList: 'Machine List',
        machineBase: 'Base Permission',
        machineCreate: 'Create Machine',
        machineEdit: 'Edit Machine',
        machineDelete: 'Delete Machine',
        machineTerminal: 'Machine Terminal',
        machineFileConf: 'File',
        machineFileConfCreate: 'File-Add Config',
        machineFileConfDelete: 'File-Delete Config',
        machineFileCreate: 'File-Create',
        machineFileDelete: 'File-Delete',
        machineFileWrite: 'File-Write',
        machineFileUpload: 'File-Upload',
        machineScript: 'Script',
        machineScriptSave: 'Script-Save',
        machineScriptDelete: 'Script-Delete',
        machineScriptRun: 'Script-Run',
        machineKillprocess: 'Kill Process',
        machineCronJob: 'Cron Job',
        machineCronJobSvae: 'Cron Job-Save',
        machineCronJobDelete: 'Cron Job-Delete',
        machineSecurityConfig: 'Security Config',
        machineSecurityCmdSvae: 'Cmd Config-Save',
        machineSecurityCmdDelete: 'Cmd Config-Delete',

        dbms: 'DBMS',
        dbDataOp: 'Data Operation',
        dbDataOpBase: 'Base Permission',
        dbDataOpSqlScriptRun: 'SQL Script Run',
        dbInstance: 'DB Instance',
        dbInstanceBase: 'Base Permission',
        dbInstanceSave: 'Save Instance',
        dbInstanceDelete: 'Delete Instance',
        dbBase: 'Db Base Permission',
        dbSave: 'Save Db',
        dbDelete: 'Delete Db',
        dbDataSync: 'Data Sync',
        dbDataSyncBase: 'Base Permission',
        dbDataSyncSave: 'Save Sync Task',
        dbDataSyncDelete: 'Delete Sync Task',
        dbDataSyncChangeStatus: 'Enable/Disable Sync Task',
        dbDataSyncLog: 'Sync Log',
        dbTransfer: 'DB Transfer',
        dbTransferBase: 'Base Permission',
        dbTransferSave: 'Save Transfer Task',
        dbTransferDelete: 'Delete Transfer Task',
        dbTransferChangeStatus: 'Enable/Disable Transfer Task',
        dbTransferRun: 'Run Transfer Task',
        dbTransferRunLog: 'Transfer Log',
        dbTransferFileShow: 'ransfer File-Show',
        dbTransferFileDelete: 'Transfer File-Delete',
        dbTransferFileDownload: 'Transfer File-Download',
        dbTransferFileRun: 'Transfer File-Run',

        redis: 'Redis',
        redisDataOp: 'Data Operation',
        redisDataOpBase: 'Base Permission',
        redisDataOpSave: 'Save Data',
        redisDataOpDelete: 'Delete Data',
        redisManage: 'Redis Manage',
        redisManageBase: 'Base Permission',

        mongo: 'Mongo',
        mongoDataOp: 'Data Operation',
        mongoDataOpBase: 'Base Permission',
        mongoDataOpSave: 'Save Data',
        mongoDataOpDelete: 'Delete Data',
        mongoManage: 'Mongo Manage',
        mongoManageBase: 'Base Permission',

        flow: 'Flow',
        myTask: 'My Task',
        myFlow: 'My Flow',
        flowProcDef: 'Process Define',
        flowProcDefSave: 'Save Process Define',
        flowProcDefDelete: 'Delete Process Define',

        system: 'System',
        menuPermission: 'Menu & Permission',
        menuPermissionBase: 'Base Permission',
        menuPermissionAdd: 'Add Menu Permission',
        menuPermissionEdit: 'Edit Menu Permission',
        menuPermissionDelete: 'Delete Menu Permission',
        menuPermissionEnableDisable: 'Enable/Disable Menu Permission',
        account: 'Account',
        accountBase: 'Base Permission',
        accountAdd: 'Add Account',
        accountEdit: 'Edit Account',
        accountDelete: 'Delete Account',
        accountEnableDisable: 'Enable/Disable Account',
        accountRoleAllocation: 'Role Allocation',
        role: 'Role',
        roleBase: 'Base Permission',
        roleAdd: 'Add Role',
        roleEdit: 'Edit Role',
        roleDelete: 'Delete Role',
        roleMenuPermissionAllocation: 'Menu & Permission Allocation',
        sysConf: 'System Config',
        sysConfBase: 'Base Permission',
        sysConfSave: 'Save System Config',
        opLog: 'Operation Log',
        opLogBase: 'Base Permission',

        noPagePermission: 'No Page Permission',
        authcertShowciphertext: 'Show Ciphertext',
    },
    home: {
        personalInfo: 'Personal Information',
        welcomeMsg: `Hello, {name}, no matter how bad life gets, it doesn't prevent me from getting better!`,
        lastLoginIp: 'Last Login Ip',
        lastLoginTime: 'Last Login Time',
        msgNotify: 'Message Notification',
        noOpRecord: 'No operation record',
        msgTypeLogin: 'Login',
        msgTypeNotify: 'Notify',
    },
    personal: {
        updateInfo: 'Update Information',
        basicInfo: 'Basic Information',
        inputNewPasswordPlaceholder: 'Enter a new password',
        updatePersonalInfo: 'Updating Personal Information',
        accountInfo: 'Account Information',
        currentStatus: 'Current Status',
        boundUp: 'Bound up',
        notBound: 'Not bound',
        immediateBinding: 'Immediate binding',
        unbundle: 'Unbundle',
        updateSuccess: 'Update successfully',
        bindingSuccess: 'Binding successfully',
        unbundleSuccess: 'Unbundle successfully',
    },
    login: {
        accountPasswordLogin: 'Account Password Login',
        thirdPartyLogin: 'Third Party login',
        ldapLogin: 'LDAP Login',
        inputUsernamePlaceholder: 'Please enter your username',
        inputPasswordPlaceholder: 'Please enter your password',
        inputCaptchaPlaceholder: 'Please enter the verification code',
        login: 'Login',
        loginFailTip: 'Tip: If you fail to log in more than {loginFailCount} times, you will not be allowed to log in again for {loginFailMin} minutes',
        loginSuccessTip: 'welcome back!',
        changePassword: 'Change Password',
        oldPassword: 'Old Password',
        newPassword: 'New Password',
        inputNewPasswordPlaceholder: 'Please enter a new password',
        passwordRuleTip: 'Must be at least 8 characters long and contain upper/lower case + number + special symbol',
        passwordChangeSuccessTip: 'The password has been changed successfully, and the new password has been filled in the login password box',
        otpValidation: 'OTP validation',
        qrCode: 'QR code',
        enterOtpCodeTip: 'Enter the authorization code shown in the Token APP',
        inputOtpCodePlaceholder: 'Please enter the OTP authorization code',
        updateBasicInfo: 'Modifying basic information',
        name: 'Name',
        inputNamePlaceholder: 'Please enter your name',
    },
    components: {
        df: {
            fieldModelPlaceholder: 'The field associated with model',
            fieldLabel: 'label',
            fieldPlaceholder: 'placeholder',
            optionalValues: 'Optional values',
            optionalValuesPlaceholder: 'Optional values, use, split',
            required: 'Required',
        },
        terminal: {
            connError: 'Connection error',
            notConn: 'Not connected',
            connSuccess: 'be connected successfully',
            connFail: 'connection fail',
            connErrMsg: 'Tip: Connection error...',
            connConfirm: 'Are you sure to reconnect?',
            connected: 'Connected',
            search: 'Search',
            reConnTips: 'Click the connection status to reconnect',
            minimize: 'Minimize',
            fullScreenTitle: 'Full screen | Exits from full screen',
            close: 'Close',

            serachPlaceholder: 'Please enter the search content, press enter search',
            regexMatch: 'Regex Match',
            fullWordMatching: 'Full Word Matching',
            caseSensitive: 'Case Sensitive',
            incrementalSearch: 'Incremental Search',
            previous: 'Previous',
            next: 'Next',
            noMatchMsg: 'No matching item is found',
        },
        crontab: {
            crontabInputPlaceholder: 'Click the left button to configure',
            crontabTitle: 'Generate cron',
            second: 'Second',
            minute: 'Minute',
            hour: 'Hour',
            day: 'Day',
            month: 'Month',
            week: 'Week',
            year: 'Year',
            timeExpression: 'Time Expression',
            crontabCompleteExpression: 'Crontab Complete Expression',

            dayCrontype1: 'Allowed wildcard [, - * / L M]',
            crontype2: 'Not specify',
            crontype3: 'Cycle from',

            crontypeFrom: 'Starting on the',
            crontypeEvery: 'It is executed every',
            appoint: 'Appoint',

            crontypeStartDay: 'th',
            crontypeExecDay: 'days',
            monthLastDay: 'Last day of the month',

            hourCronType1: 'Allowed wildcard [, - * /]',
            crontypeStartHour: "o 'clock",
            crontypeExecHour: 'hours',

            crontypeStartMin: 'minutes',
            crontypeExecMin: 'minutes',

            crontypeStartSecond: 'seconds',
            crontypeExecSecond: 'seconds',

            crontypeStartMonth: 'months',
            crontypeExecMonth: 'months',

            yearly: 'Yearly',
            crontypeStartYear: 'years',
            crontypeExecYear: 'years',

            weekCronType1: 'Allowed wildcard [, - * / L #]',
            monday: 'Monday',
            tuesday: 'Tuesday',
            wednesday: 'Wednesday',
            thursday: 'Thursday',
            friday: 'Friday',
            saturday: 'Saturday',
            sunday: 'Sunday',

            last5runTimes: 'Last 5 running times',
            calculationing: 'In the calculation result',
        },
    },
};
