export default {
    redis: {
        standaloneInfo: 'Standalone',
        clusterInfo: 'Cluster',
        node: 'Node',
        clusterIpTips:
            'p:port1@port2 :port1 indicates the port through which the redis server communicates with clients, and port2 indicates the port through which nodes in the cluster communicate',
        masterSlaveRelationTips: `If the node is slave and the master node is known, it is the ID of the master node. Otherwise, the symbol '-'`,
        configEpochTips:
            'The epoch value of a node (or the epoch value of its primary node if the node is a slave node). Each time a node fails to switch, a new, unique, increasing epoch is created.',
        keywordPlaceholder: 'host / name / code',
        hostTips: `Enter host:port; The sentinel mode is mastername=sentinelhost:port. If the cluster or sentinels need multiple nodes, they can be separated by ','`,
        nodePassword: 'Node Password',
        sentinelHostErr: 'Sentinel model host for: mastername = sentinelhost: sentinelport mode',
        delimiter: 'Delimiter',
        keyMatchTips: 'match supports * obfuscated key, enter search',
        loadMore: 'Load More',
        addKey: 'Adding key',
        newTabOpen: 'New tab opens',
        redisSelectErr: 'Select redis first',
        flushDbTips: 'Make sure to clear all keys of the [{db}] library?',

        // info
        redisInfoTitle: 'Redis server information',
        version: 'Version',
        port: 'Port',
        mode: 'Mode',
        os: 'os',
        uptimeDays: 'Uptime in days',
        execPath: 'Executable',
        confFile: 'Config file',
        clusterEnable: 'Cluster enabled',
        nodeCount: 'Node count',
        clientConn: 'Client Connection',
        connectedNum: 'Connected clients',
        blockedClientNum: 'Blocked clients',
        sysCpu: 'used_cpu_sys',
        userCpu: 'used_cpu_user',
        sysChildCpu: 'used_cpu_sys_children',
        userChildCpu: 'used_cpu_user_children',
        keyCount: 'Key Count',
        countInfo: 'Count',
        totalCmdProcess: 'total_commands_processed',
        curQps: 'instantaneous_ops_per_sec',
        expiredKeys: 'expired_keys',
        netInputBytes: 'total_net_input_bytes',
        netOutputBytes: 'total_net_output_bytes',
        persistence: 'Persistence',
        aofEnable: 'aof_enabled',
        loadingPersistence: 'loading',
        availableMemory: 'Available',
        usedMemory: 'Used',

        renameTips: 'Click to rename',
        ttlPlaceholder: 'Unit (seconds); negative values are permanent',
        ttlTips: 'Click Change the expiration time',
        settingSuccess: 'successfully set',
        permanent: 'Permanent',
        persistenceConfirm: 'Decide to persist the key?',

        addNewLine: 'Adding new rows',
        filterPlaceholder: 'Keyword Enter search',
        deleteConfirm: 'Sure to delete?',
    },
};
