// 定义内容
export default {
    common: {
        create: '创建',
        edit: '编辑',
        delete: '删除',
        detail: '详情',
        add: '添加',
        save: '保存',
        remove: '移除',
        confirm: '确定',
        cancel: '取消',
        submit: '提交',
        operation: '操作',
        name: '名称',
        code: '编号',
        remark: '备注',
        status: '状态',
        username: '用户名',
        role: '角色',
        msg: '消息',
        type: '类型',
        time: '时间',
        account: '账号',
        password: '密码',
        createTime: '创建时间',
        creator: '创建者',
        updateTime: '更新时间',
        modifier: '修改者',
        keyword: '关键字',
        path: '路径',
        tag: '标签',
        more: '更多',
        enable: '启用',
        disable: '禁用',
        hint: '提示',
        yes: '是',
        no: '否',
        refresh: '刷新',
        basic: '基本',
        other: '其他',
        reset: '重置',
        success: '成功',
        fail: '失败',
        previousStep: '上一步',
        nextStep: '下一步',
        copy: '复制',
        search: '搜索',
        pleaseInput: '请输入{label}',
        pleaseSelect: '请选择{label}',
        formValidationError: '信息填写有误，请检查',
        createTitle: '创建{name}',
        editTitle: '编辑{name}',
        detailTitle: '{name}详情',
        deleteConfirm: '确定删除？',
        deleteConfirm2: '此操作将删除【{name}】， 是否继续？',
        saveSuccess: '保存成功',
        deleteSuccess: '删除成功',
        operateSuccess: '操作成功',
        fieldNotEmpty: '{field}不能为空',
    },
    layout: {
        user: {
            title0: '组件大小',
            langSwitch: '语言切换',
            menuSearch: '菜单搜索',
            layoutConf: '布局配置',
            news: '消息',
            fullScreenOn: '开全屏',
            fullScreenOff: '关全屏',
            dropdownLarge: '大型',
            dropdownDefault: '默认',
            dropdownSmall: '小型',
            index: '首页',
            personalCenter: '个人中心',
            logout: '退出登录',
            searchPlaceholder: '菜单搜索',
            newTitle: '通知',
            newBtn: '全部已读',
            newGo: '前往通知中心',
            newDesc: '暂无通知',
            logOutTitle: '提示',
            logOutMessage: '此操作将退出登录, 是否继续?',
            logOutExit: '退出中',
            logoutSuccess: '安全退出成功！',
        },
        tagsView: {
            refresh: '刷新',
            close: '关闭',
            closeOther: '关闭其它',
            closeAll: '全部关闭',
            fullscreen: '当前页全屏',
            closeFullscreen: '关闭全屏',
        },
        notFound: {
            title: '地址输入错误，请重新输入地址~',
            msg: '您可以先检查网址，然后重新输入或给我们反馈问题。',
            backHomepage: '返回首页',
        },
        noAccess: {
            title: '您未被授权，没有操作权限~',
            loginAgain: '重新登录',
        },
        config: {
            configTitle: '布局配置',
            terminalTheme: '终端主题',
            theme: '主题',
            custom: '自定义',
            fontColor: '字体颜色',
            backgroundColor: '背景颜色',
            cursorColor: '光标颜色',
            fontSize: '字体大小',
            fontWeight: '字体粗细',
            editorSetting: 'Editor 设置',
            globalSetting: '全局设置',
            pagesize: '分页size',
            globalTheme: '全局主题',

            // 菜单设置
            menuSetting: '菜单设置',
            menuBar: '菜单背景',
            menuBarFontColor: '菜单默认字体颜色',
            menuBarActiveColor: '菜单高亮背景色',
            isMenuBarColorGradual: '菜单背景渐变',

            // 顶栏设置
            topTitle: '顶栏设置',
            twoColumnsTitle: '分栏设置',
            twoTopBar: '顶栏背景',
            twoTopBarColor: '顶栏默认字体颜色',
            twoIsTopBarColorGradual: '顶栏背景渐变',

            twoColumnsMenuBar: '分栏菜单背景',
            twoColumnsMenuBarColor: '分栏菜单默认字体颜色',
            twoIsColumnsMenuBarColorGradual: '分栏菜单背景渐变',
            twoIsColumnsMenuHoverPreload: '分栏菜单鼠标悬停预加载',

            // 界面设置
            interfaceSetting: '界面设置',
            isCollapse: '菜单水平折叠',
            isUniqueOpened: '菜单手风琴',
            isFixedHeader: '固定 Header',
            isClassicSplitMenu: '经典布局分割菜单',
            isLockScreen: '开启锁屏',
            lockScreenTime: '自动锁屏(s/秒)',
            interfaceDisplay: '界面显示',
            isShowLogo: '侧边栏 Logo',
            isBreadcrumb: '开启 Breadcrumb',
            isBreadcrumbIcon: '开启 Breadcrumb 图标',
            isTagsview: '开启 Tagsview',
            isTagsviewIcon: '开启 Tagsview 图标',
            isCacheTagsView: '开启 TagsView 缓存',
            isSortableTagsView: '开启 TagsView 拖拽',
            // IsShareTagsView: '开启 TagsView 共用',
            isFooter: '开启 Footer',
            isGrayscale: '灰色模式',
            isInvert: '色弱模式',
            isDark: '深色模式',
            // IsWartermark: '开启水印',
            // WartermarkText: '水印文案',

            // 其他设置
            otherSetting: '其它设置',
            tagsStyle: 'Tagsview 风格',
            animation: '主页面切换动画',
            columnsAsideStyle: '分栏高亮风格',
            // fiveColumnsAsideLayout: '分栏布局风格',

            layoutSwitch: '布局切换',
            defaults: '默认',
            classic: '经典',
            transverse: '横向',
            columns: '分栏',
            // tipText: '点击下方按钮，复制布局配置去 `src/stores/themeConfig.ts` 中修改。',
            // copyText: '一键复制配置',
            // resetText: '一键恢复默认',
            // copyTextSuccess: '复制成功！',
            // copyTextError: '复制失败！',
        },
    },
    staticRoutes: {
        signIn: '登录',
        notFound: '找不到此页面',
        noPower: '没有权限',
    },
    upgrade: {
        title: '新版本升级',
        msg: '新版本来啦，马上更新尝鲜吧！不用担心，更新很快的哦！',
        desc: '提示：更新会还原默认配置',
        btnOne: '残忍拒绝',
        btnTwo: '马上更新',
        btnTwoLoading: '更新中',
    },
    menu: {
        index: '首页',
        personalCenter: '个人中心',

        tag: '标签管理',
        tagTree: '标签树',
        tagSave: '保存标签',
        tagDelete: '删除标签',
        authorization: '授权凭证',
        authorizationBase: '基础权限',
        authorizationSave: '保存权限',
        authorizationDelete: '删除权限',
        team: '团队管理',
        teamSave: '保存团队',
        teamDelete: '删除团队',
        teamMemberAdd: '添加成员',
        teamMemberDelete: '删除成员',
        teamTagSave: '保存团队标签',

        machine: '机器管理',
        machineOp: '机器操作',
        machineOpBase: '基本权限',
        machineList: '机器列表',
        machineBase: '基本权限',
        machineCreate: '创建机器',
        machineEdit: '编辑机器',
        machineDelete: '删除机器',
        machineTerminal: '机器终端',
        machineFileConf: '文件管理',
        machineFileConfCreate: '文件-添加配置',
        machineFileConfDelete: '文件-删除配置',
        machineFileCreate: '文件-创建',
        machineFileDelete: '文件-删除',
        machineFileWrite: '文件-写入',
        machineFileUpload: '文件-上传',
        machineScript: '脚本管理',
        machineScriptSave: '脚本-保存',
        machineScriptDelete: '脚本-删除',
        machineScriptRun: '脚本-执行',
        machineKillprocess: '终止进程',
        machineCronJob: '计划任务',
        machineCronJobSvae: '计划任务-保存',
        machineCronJobDelete: '计划任务-删除',
        machineSecurityConfig: '安全配置',
        machineSecurityCmdSvae: '命令配置-保存',
        machineSecurityCmdDelete: '命令配置-删除',

        dbms: 'DBMS',
        dbDataOp: '数据操作',
        dbDataOpBase: '基本权限',
        dbDataOpSqlScriptRun: 'SQL脚本执行',
        dbInstance: '数据库实例',
        dbInstanceBase: '基本权限',
        dbInstanceSave: '保存实例',
        dbInstanceDelete: '删除实例',
        dbBase: '数据库基本权限',
        dbSave: '保存数据库',
        dbDelete: '删除数据库',
        dbDataSync: '数据同步',
        dbDataSyncBase: '基本权限',
        dbDataSyncSave: '保存同步',
        dbDataSyncDelete: '删除同步',
        dbDataSyncChangeStatus: '启用停用',
        dbDataSyncLog: '同步日志',
        dbTransfer: '数据库迁移',
        dbTransferBase: '基本权限',
        dbTransferSave: '保存迁移任务',
        dbTransferDelete: '删除迁移任务',
        dbTransferChangeStatus: '启用停用',
        dbTransferRun: '执行迁移任务',
        dbTransferRunLog: '迁移日志查看',
        dbTransferFileShow: '迁移文件-查看',
        dbTransferFileDelete: '迁移文件-删除',
        dbTransferFileDownload: '迁移文件-下载',
        dbTransferFileRun: '迁移文件-执行',

        redis: 'Redis',
        redisDataOp: '数据操作',
        redisDataOpBase: '基本权限',
        redisDataOpSave: '数据保存',
        redisDataOpDelete: '数据删除',
        redisManage: 'Redis管理',
        redisManageBase: '基本权限',

        mongo: 'Mongo',
        mongoDataOp: '数据操作',
        mongoDataOpBase: '基本权限',
        mongoDataOpSave: '数据保存',
        mongoDataOpDelete: '数据删除',
        mongoManage: 'Mongo管理',
        mongoManageBase: '基本权限',

        flow: '工单流程',
        myTask: '我的任务',
        myFlow: '我的流程',
        flowProcDef: '流程定义',
        flowProcDefSave: '保存流程定义',
        flowProcDefDelete: '删除流程定义',

        system: '系统管理',
        menuPermission: '菜单权限',
        menuPermissionBase: '基本权限',
        menuPermissionAdd: '添加菜单权限',
        menuPermissionEdit: '编辑菜单权限',
        menuPermissionDelete: '删除菜单权限',
        menuPermissionEnableDisable: '启用/禁用菜单权限',
        account: '账号管理',
        accountBase: '基本权限',
        accountAdd: '添加账号',
        accountEdit: '编辑账号',
        accountDelete: '删除账号',
        accountEnableDisable: '启用/禁用账号',
        accountRoleAllocation: '角色分配',
        role: '角色管理',
        roleBase: '基本权限',
        roleAdd: '添加角色',
        roleEdit: '编辑角色',
        roleDelete: '删除角色',
        roleMenuPermissionAllocation: '菜单权限分配',
        sysConf: '系统配置',
        sysConfBase: '基本权限',
        sysConfSave: '保存配置',
        opLog: '操作日志',
        opLogBase: '基本权限',

        noPagePermission: '无页面权限',
        authcertShowciphertext: '授权凭证密文查看',
    },
    home: {
        personalInfo: '个人信息',
        welcomeMsg: '您好， {name}，生活变的再糟糕，也不妨碍我变得更好！',
        lastLoginIp: '上次登录IP',
        lastLoginTime: '上次登录时间',
        msgNotify: '消息通知',
        noOpRecord: '暂无操作记录',
        msgTypeLogin: '登录',
        msgTypeNotify: '通知',
    },
    personal: {
        updateInfo: '更新信息',
        basicInfo: '基本信息',
        inputNewPasswordPlaceholder: '请输入新密码',
        updatePersonalInfo: '更新个人信息',
        accountInfo: '账号信息',
        currentStatus: '当前状态',
        boundUp: '已绑定',
        notBound: '未绑定',
        immediateBinding: '立即绑定',
        unbundle: '解绑',
        updateSuccess: '更新成功',
        bindingSuccess: '绑定成功',
        unbundleSuccess: '解绑成功',
    },
    login: {
        accountPasswordLogin: '账号密码登录',
        thirdPartyLogin: '第三方登录',
        ldapLogin: 'LDAP 登录',
        inputUsernamePlaceholder: '请输入用户名',
        inputPasswordPlaceholder: '请输入密码',
        inputCaptchaPlaceholder: '请输入验证码',
        login: '登 录',
        loginFailTip: '提示：登录失败超过{loginFailCount}次后将被限制{loginFailMin}分钟内不可再次登录',
        loginSuccessTip: '欢迎回来！',
        changePassword: '修改密码',
        oldPassword: '旧密码',
        newPassword: '新密码',
        passwordRuleTip: '须为8位以上且包含字⺟⼤⼩写+数字+特殊符号',
        passwordChangeSuccessTip: '密码修改成功, 新密码已填充至登录密码框',
        otpValidation: 'OTP校验',
        qrCode: '二维码',
        enterOtpCodeTip: '请输入令牌APP中显示的授权码',
        updateBasicInfo: '修改基本信息',
        name: '姓名',
        inputNamePlaceholder: '请输入姓名',
    },
    components: {
        df: {
            fieldModelPlaceholder: 'model关联的字段',
            fieldLabel: 'label',
            fieldPlaceholder: 'placeholder',
            optionalValues: '可选值',
            optionalValuesPlaceholder: '可选值 ,分割',
            required: '必填',
        },
        terminal: {
            connError: '连接出错',
            notConn: '未连接',
            connSuccess: '连接成功',
            connFail: '连接失败',
            connErrMsg: '提示: 连接错误...',
            connConfirm: '确认重新连接?',
            connected: '已连接',
            search: '搜索',
            reConnTips: '点击连接状态可重连',
            minimize: '最小化',
            fullScreenTitle: '全屏|退出全屏',
            close: '关闭',

            serachPlaceholder: '请输入查找内容,回车搜索',
            regexMatch: '正则匹配',
            fullWordMatching: '单词全匹配',
            caseSensitive: '区分大小写',
            incrementalSearch: '增量查找',
            previous: '上一个',
            next: '下一个',
            noMatchMsg: '未查询到匹配项',
        },
        crontab: {
            crontabInputPlaceholder: '可点击左边按钮配置',
            crontabTitle: '生成 cron',
            second: '秒',
            minute: '分钟',
            hour: '小时',
            day: '日',
            month: '月',
            week: '周',
            year: '年',
            timeExpression: '时间表达式',
            crontabCompleteExpression: 'crontab完整表达式',

            dayCrontype1: '允许的通配符[, - * / L M]',
            crontype2: '不指定',
            crontype3: '周期从',

            crontypeFrom: '从',
            crontypeEvery: '每',
            appoint: '指定',

            crontypeStartDay: '号开始',
            crontypeExecDay: '日执行一次',
            monthLastDay: '本月最后一天',

            hourCronType1: '允许的通配符[, - * /]',
            crontypeStartHour: '小时开始',
            crontypeExecHour: '小时执行一次',

            crontypeStartMin: '分钟开始',
            crontypeExecMin: '分钟执行一次',

            crontypeStartSecond: '秒开始',
            crontypeExecSecond: '秒执行一次',

            crontypeStartMonth: '月开始',
            crontypeExecMonth: '月执行一次',

            yearly: '每年',
            crontypeStartYear: '年开始',
            crontypeExecYear: '年执行一次',

            weekCronType1: '允许的通配符[, - * / L #]',
            monday: '周一',
            tuesday: '周二',
            wednesday: '周三',
            thursday: '周四',
            friday: '周五',
            saturday: '周六',
            sunday: '周日',

            last5runTimes: '最近5次运行时间',
            calculationing: '计算结果中',
        },
    },
};
